<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button slot="start"></ion-back-button>
    </ion-buttons>

    <ion-title>Import CSV</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row>
    <ion-col size-md=6 offset-md=3>
      <ion-card>
        <ion-card-header>
          <ion-card-title>
            Import CSV file
          </ion-card-title>
        </ion-card-header>
        <ion-card-content>
          <input id="fileInput" type="file" style="display:none" (change)="handle($event)">
          <ion-item lines=none>
            Selection: {{ file?.name ?? "None" }}
          </ion-item>
          <ion-item lines=none>
            <ion-button (click)="openFile();" fill="outline" slot="start" size=default>Select file</ion-button>
            <ion-button #importButton disabled="true" (click)="import();" slot="end" size=default>Import</ion-button>
          </ion-item>
        </ion-card-content>
      </ion-card>
    </ion-col>
  </ion-row>
</ion-content>
